
function L = LisaNuo1(M, alkiopari, vari);
%lisys ja piirto 1:	function L = LisaNuo1(M, alkiopari, vari);
%	miss
%	M		= relaation nelimuotoinen 0-1-matriisi
%	alkiopari	= alkiopari muodossa [i j]
%	vari		= optionaalinen, piirtovri, 
%				oletusarvo '-r' = punainen nuoli
%	Piirt nuolen suunnatuksi janaksi  i -> j ja lis matriisiin L.
%	Relaation tulee olla mritelty jossakin joukossa  X x X. 
%	Jos relaatio on mritelty joukossa X x Y, kyt funktiota 'LisaNuo2'.

%	Martti E. Pesonen 17.9.2000 ja 26.10.2004

M = logical(M);
L = M;
a = alkiopari;
L(a(1),a(2)) = 1;
if nargin < 3, vari = '-r'; end
if (a(1) == a(2)),
	alkio = a(1);
	PiirSilm(M,alkio,vari);
	else
	PiirNuo1(M,a,vari);
end
