
function PiirAlk2( M, alkiotX, alkiotY, variX, variY);
%piirtofunktioita 2:	function PiirAlk2( M, alkiotX, alkiotY, variX, variY);
%	miss
%	M		= relaation 0-1-matriisi
%	alkiotX,Y	= alkioiden vektorit, oltava vaikka tyhj []
%	variX,Y		= optionaaliset, alkioiden vrit, 
%				oletusarvot 'ob' ja 'og'
%	Relaation tulee olla mritelty jossakin joukossa  X x Y.
%	Jos relaatio on mritelty joukossa X x X, 
%		voi piirt mys funktiolla 'PiirAlk1'.

%	Martti E. Pesonen 23.5.1991  17.9.2000 ja 26.10.2004

M = logical(M);
vasen = -1.5; oikea = 1.5; ala = -1.3; yla = 1.3; keski = 0;
if (nargin < 5) variX = 'ob'; variY = 'og'; end
[n,m]	= size(M);
x1 = vasen * ones(1,n); x2 =  oikea * ones(1,m);
if (n == 1)  y1 = keski; else,	y1 =  yla - (yla-ala)/(n-1) * (0:n-1); end
if (m == 1)  y2 = keski; else,	y2 =  yla - (yla-ala)/(m-1) * (0:m-1); end
if ~isempty( alkiotX)   plot( x1(alkiotX), y1(alkiotX), variX); end
if ~isempty( alkiotY)   plot( x2(alkiotY), y2(alkiotY), variY); end
