
function M = SatRel(m, n, prosenttia);
%satunnaisrelaatio: 	function M = SatRel(m, n, prosenttia); 
%	miss
%	m, n	   =	matriisin rivien ja sarakkeiden mrt
%	prosenttia =	optionaalinen, jos esiintyy, tulkitaan
%				ykksten prosentuaaliseksi osuudeksi (oletusarvo 50 %)
%	Muodostaa mxn-satunnaisrelaation matriisin M.

%	Martti E. Pesonen 7.2.1991  15.9.2002 ja 26.10.2004

if (nargin == 2)  prosenttia = 50;  end
osa1 = prosenttia/100;	% ykksten osuus
apu = rand(m,n);	% mxn-matriisi, jonka alkiot lukuja vlilt [0,1] 
M = (apu <= osa1);	% osa1:t pienemmt ykksiksi, muut nolliksi
